# PropertiesFileContentMerger

open class PropertiesFileContentMerger : FileContentMerger

Models the generation/parsing/merging capabilities. Adds properties-related hooks.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseJdt and others.

## Constructors

PropertiesFileContentMerger
Link copied to clipboard
constructor(transformer: PropertiesTransformer)

## Properties

beforeMerged
Link copied to clipboard
open var beforeMerged: MutableActionSet
transformer
Link copied to clipboard
open var transformer: PropertiesTransformer
whenMerged
Link copied to clipboard
open var whenMerged: MutableActionSet

## Functions

beforeMerged
Link copied to clipboard
open fun beforeMerged(action: Action<out Any>)
whenMerged
Link copied to clipboard
open fun whenMerged(action: Action<out Any>)
withProperties
Link copied to clipboard
open fun withProperties(closure: Closure)
Adds a closure to be called when the file has been created.
open fun withProperties(action: Action<Properties>)
Adds an action to be called when the file has been created.